Skip to content
Kumquat
Esc
↑↓navigate↵open⌘Jpreview

Update User

PATCH/api/v1/users/{user_id}
Authorization
AuthorizationBearer token · headerrequired
or
AuthorizationOAuth2 access token · headerrequired
Path parameters
user_idstringrequired
Request body
requiredapplication/json
namestring | any
Show properties
Any of:
string
string
any
any
rolestring | any
Show properties
Any of:
string
string
any
any
groupsUserGroup[] | any
Show properties
Any of:
UserGroup[]
Array of UserGroup
string
any
any
Responses
200Successful Response
successboolean
default: true
dataUserSchema | any
Show properties
Any of:
UserSchema
idstringrequired
emailstring | any
Show properties
Any of:
string
string
any
any
namestring | any
Show properties
Any of:
string
string
any
any
image_urlstring | any
Show properties
Any of:
string
string
any
any
rolestring
default: "member"
groupsstring[]
created_atstring<date-time> | any
Show properties
Any of:
string<date-time>
string<date-time>
any
any
any
any
messagestring | any
Show properties
Any of:
string
string
any
any
errorsstring[] | any
Show properties
Any of:
string[]
Array of string
string
any
any
422Validation Error
detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Request
curl -X PATCH "/api/v1/users/string" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string",
  "role": "string",
  "groups": [
    "motion"
  ]
}'
Response
{
  "success": true,
  "data": {
    "id": "string",
    "email": "string",
    "name": "string",
    "image_url": "string",
    "role": "member",
    "groups": [
      "string"
    ],
    "created_at": "2019-08-24T14:15:22Z"
  },
  "message": "string",
  "errors": [
    "string"
  ]
}